Le script de précontrôle d'installation et de mise à niveau effectue des tests pour identifier sur la machine hôte les problèmes susceptibles de provoquer l'échec d'une installation, d'une mise à niveau ou d'une migration.

Pour les installations, les mises à niveau et les migrations interactives, les erreurs ou les avertissements s'affichent dans le dernier panneau du programme d'installation dans lequel vous devez confirmer ou annuler l'installation ou la mise à niveau. Pour les installations, les mises à niveau ou les migrations à l'aide d'un script, les erreurs ou les avertissements sont consignés dans le fichier journal d'installation.

vSphere Update Manager fournit des messages personnalisés pour ces erreurs ou avertissements. Pour afficher les erreurs et les avertissements d'origine renvoyés par le script de prévérification au cours d'une analyse de mise à niveau d'hôte Update Manager, consultez le fichier journal d'Update Manager vmware-vum-server-log4cpp.log.

Tableau 1. Codes d'erreur et d'avertissement renvoyés par le script de précontrôle d'installation ou de mise à niveau

Erreur/Avertissement

Description

64BIT_LONGMODESTATUS

Le processeur hôte doit être de 64 bits.

COS_NETWORKING

Avertissement. Une adresse IPv4 a été détectée dans une carte réseau virtuelle de console de service activée qui n'a aucune adresse correspondante dans le même sous-réseau de vmkernel. Un avertissement séparé s'affiche pour chaque occurrence de ce type.

CPU_CORES

L'hôte doit disposer d'au moins deux cœurs.

DISTRIBUTED_VIRTUAL_SWITCH

Si le logiciel CEM (Virtual Ethernet Module) de Cisco se trouve sur l'hôte, le test vérifie que la mise à niveau contient également le logiciel VEM. Le test détermine également si la mise à niveau prend en charge la même version de VSM (Virtual Supervisor Module) de Cisco que la version existante sur l'hôte. Si le logiciel est manquant ou est compatible avec une version différente de VSM, le test renvoie un avertissement. Le résultat indique quelle version du logiciel VEM était attendue sur l'image ISO de la mise à niveau et quelles versions, le cas échéant, ont été trouvées. Vous pouvez utiliser ESXi Image Builder CLI pour créer un fichier ISO d'installation personnalisée qui inclut la version appropriée du logiciel VEM.

HARDWARE_VIRTUALIZATION

Avertissement. Si le processeur de l'hôte ne dispose pas d'une virtualisation matérielle ou si la virtualisation matérielle n'est pas activée dans le BIOS de l'hôte, les performances sont altérées. Activez la virtualisation matérielle dans les options d'amorçage de la machine hôte. Voir la documentation du fournisseur du matériel.

MD5_ROOT_PASSWORD

Ce test vérifie si le mot de passe racine est codé au format MD5. Si un mot de passe n'est pas codé au format MD5, il pourrait être significatif uniquement jusqu'au huitième caractère. Dans ce cas, tous les caractères suivant le huitième caractère ne sont plus authentifiés après la mise à niveau, ce qui peut poser un problème de sécurité. Pour résoudre ce problème, consultez l'article 1024500 de la base de connaissances de VMware.

MEMORY_SIZE

L'hôte nécessite la quantité de mémoire indiquée pour pouvoir effectuer la mise à niveau.

PACKAGE_COMPLIANCE

vSphere Update Manager seulement. Ce test compare le logiciel existant sur l'hôte au logiciel contenu sur le fichier ISO de mise à niveau pour déterminer si la mise à niveau de l'hôte a réussi. Si des modules sont manquants ou d'une version antérieure à celle du module sur l'image ISO de mise à niveau, le test renvoie une erreur et indique quels logiciels ont été trouvés sur l'hôte et sur l'image ISO de mise à niveau.

PARTITION_LAYOUT

Vous pouvez mettre à niveau ou migrer du logiciel uniquement si au moins une partition VMFS sur le disque est mise à niveau. La partition VMFS doit démarrer après le secteur 1843200.

POWERPATH

Le test recherche l'installation du logiciel EMC PowerPath qui est constitué d'un module CIM et d'un module de noyau. Si l'un de ces composants se trouve sur l'hôte, le test vérifie que les composants correspondants, tels que CIM, vmkernel et module, existent également dans la mise à niveau. S'ils n'existent pas, le test renvoie un avertissement indiquant quels composants était attendus dans le fichier ISO de mise à niveau et quels sont ceux qui ont été, le cas échéant, effectivement trouvés.

PRECHECK_INITIALIZE

Ce test vérifie que le script de prévérification peut être exécuté.

SANE_ESX_CONF

Le fichier /etc/vmware/esx.conf doit exister sur l'hôte.

SPACE_AVAIL_ISO

vSphere Update Manager seulement. Le disque hôte doit disposer d'un espace libre suffisant pour pouvoir stocker le contenu du CD ou DVD du programme d'installation.

SPACE_AVAIL_CONFIG

vSphere Update Manager seulement. Le disque hôte doit disposer d'un espace libre suffisant pour pouvoir stocker la configuration 5.x entre les redémarrages.

SUPPORTED_ESX_VERSION

Vous pouvez mettre à niveau ou migrer vers ESXi 6.0 seulement à partir d'hôtes ESXi 5.x et versions ultérieures.

TBOOT_REQUIRED

Ce message s'applique uniquement aux mises à niveau de vSphere Update Manager. La mise à niveau échoue et renvoie ce message d'erreur lorsque le système hôte fonctionne en mode de démarrage approuvé (tboot), mais le fichier ISO de mise à niveau ESXi ne contient aucun VIB tboot. Ce test empêche l'exécution d'une mise à niveau susceptible de compromettre la sécurité de l'hôte.

UNSUPPORTED_DEVICES

Avertissement. Le test recherche les périphériques non compatibles. Certains périphériques PCI ne sont pas compatibles avec ESXi 6.0.

UPDATE_PENDING

Ce test vérifie l'hôte pour les installations VIB qui nécessitent un redémarrage. Ce test échoue si un ou plusieurs VIB sont installés mais que l'hôte n'a pas encore été redémarré. Dans ces conditions, le script de précontrôle est incapable de déterminer avec certitude les modules actuellement installés sur l'hôte. Il n'est donc pas prudent de se fier au reste des tests de précontrôle pour détermine si une mise à niveau est sûre.

Si vous rencontrez cette erreur, redémarrez l'hôte et retentez la mise à niveau.